# 1 "<stdin>"
# 1 "<built-in>"
# 1 "<command-line>"
# 1 "<stdin>"
# 27 "<stdin>"
# 1 "../py/mpconfig.h" 1
# 45 "../py/mpconfig.h"
# 1 "./mpconfigport.h" 1
# 165 "./mpconfigport.h"
extern const struct _mp_obj_module_t mp_module_machine;
extern const struct _mp_obj_module_t mp_module_os;
extern const struct _mp_obj_module_t mp_module_uos_vfs;
extern const struct _mp_obj_module_t mp_module_uselect;
extern const struct _mp_obj_module_t mp_module_time;
extern const struct _mp_obj_module_t mp_module_termios;
extern const struct _mp_obj_module_t mp_module_socket;
extern const struct _mp_obj_module_t mp_module_ffi;
extern const struct _mp_obj_module_t mp_module_jni;
# 225 "./mpconfigport.h"
# 1 "/usr/include/unistd.h" 1 3 4
# 66 "/usr/include/unistd.h" 3 4
# 1 "/usr/include/machine/ansi.h" 1 3 4


# 1 "/usr/include/mips/ansi.h" 1 3 4


# 1 "/usr/include/sys/common_ansi.h" 1 3 4
# 35 "/usr/include/sys/common_ansi.h" 3 4
# 1 "/usr/include/sys/cdefs.h" 1 3 4
# 63 "/usr/include/sys/cdefs.h" 3 4
# 1 "/usr/include/machine/cdefs.h" 1 3 4


# 1 "/usr/include/mips/cdefs.h" 1 3 4
# 3 "/usr/include/machine/cdefs.h" 2 3 4
# 64 "/usr/include/sys/cdefs.h" 2 3 4

# 1 "/usr/include/sys/cdefs_elf.h" 1 3 4
# 66 "/usr/include/sys/cdefs.h" 2 3 4
# 629 "/usr/include/sys/cdefs.h" 3 4

# 629 "/usr/include/sys/cdefs.h" 3 4
static __inline long long __zeroll(void) { return 0; }
static __inline unsigned long long __zeroull(void) { return 0; }
# 36 "/usr/include/sys/common_ansi.h" 2 3 4

# 1 "/usr/include/machine/int_types.h" 1 3 4


# 1 "/usr/include/mips/int_types.h" 1 3 4
# 41 "/usr/include/mips/int_types.h" 3 4
# 1 "/usr/include/sys/common_int_types.h" 1 3 4
# 45 "/usr/include/sys/common_int_types.h" 3 4
typedef signed char __int8_t;
typedef unsigned char __uint8_t;
typedef short int __int16_t;
typedef short unsigned int __uint16_t;
typedef int __int32_t;
typedef unsigned int __uint32_t;
typedef long long int __int64_t;
typedef long long unsigned int __uint64_t;





typedef long int __intptr_t;
typedef long unsigned int __uintptr_t;
# 42 "/usr/include/mips/int_types.h" 2 3 4
# 3 "/usr/include/machine/int_types.h" 2 3 4
# 38 "/usr/include/sys/common_ansi.h" 2 3 4
# 3 "/usr/include/mips/ansi.h" 2 3 4
# 3 "/usr/include/machine/ansi.h" 2 3 4
# 67 "/usr/include/unistd.h" 2 3 4
# 1 "/usr/include/machine/int_types.h" 1 3 4
# 68 "/usr/include/unistd.h" 2 3 4

# 1 "/usr/include/sys/featuretest.h" 1 3 4
# 70 "/usr/include/unistd.h" 2 3 4
# 1 "/usr/include/sys/types.h" 1 3 4
# 42 "/usr/include/sys/types.h" 3 4
# 1 "/usr/include/sys/featuretest.h" 1 3 4
# 43 "/usr/include/sys/types.h" 2 3 4


# 1 "/usr/include/machine/types.h" 1 3 4







# 1 "/usr/include/mips/types.h" 1 3 4
# 41 "/usr/include/mips/types.h" 3 4
# 1 "/usr/include/sys/featuretest.h" 1 3 4
# 42 "/usr/include/mips/types.h" 2 3 4


typedef __int32_t __register32_t;
typedef __int64_t __register64_t;
typedef __uint32_t __fpregister32_t;
typedef __uint64_t __fpregister64_t;

typedef unsigned int __cpu_simple_lock_nv_t;



typedef __register64_t __register_t;




typedef __fpregister64_t __fpregister_t;
# 9 "/usr/include/machine/types.h" 2 3 4
# 46 "/usr/include/sys/types.h" 2 3 4

# 1 "/usr/include/machine/ansi.h" 1 3 4


# 1 "/usr/include/mips/ansi.h" 1 3 4
# 3 "/usr/include/machine/ansi.h" 2 3 4
# 48 "/usr/include/sys/types.h" 2 3 4
# 1 "/usr/include/machine/int_types.h" 1 3 4
# 49 "/usr/include/sys/types.h" 2 3 4


# 1 "/usr/include/sys/ansi.h" 1 3 4
# 35 "/usr/include/sys/ansi.h" 3 4
# 1 "/usr/include/machine/ansi.h" 1 3 4


# 1 "/usr/include/mips/ansi.h" 1 3 4
# 3 "/usr/include/machine/ansi.h" 2 3 4
# 36 "/usr/include/sys/ansi.h" 2 3 4

typedef char * __caddr_t;
typedef __uint32_t __gid_t;
typedef __uint32_t __in_addr_t;
typedef __uint16_t __in_port_t;
typedef __uint32_t __mode_t;
typedef __int64_t __off_t;
typedef __int32_t __pid_t;
typedef __uint8_t __sa_family_t;
typedef unsigned int __socklen_t;
typedef __uint32_t __uid_t;
typedef __uint64_t __fsblkcnt_t;
typedef __uint64_t __fsfilcnt_t;

struct __tag_wctrans_t;
typedef struct __tag_wctrans_t *__wctrans_t;

struct __tag_wctype_t;
typedef struct __tag_wctype_t *__wctype_t;





typedef union {
 __int64_t __mbstateL;
 char __mbstate8[128];
} __mbstate_t;
# 72 "/usr/include/sys/ansi.h" 3 4
typedef __builtin_va_list __va_list;
# 52 "/usr/include/sys/types.h" 2 3 4


typedef __int8_t int8_t;




typedef __uint8_t uint8_t;




typedef __int16_t int16_t;




typedef __uint16_t uint16_t;




typedef __int32_t int32_t;




typedef __uint32_t uint32_t;




typedef __int64_t int64_t;




typedef __uint64_t uint64_t;



typedef uint8_t u_int8_t;
typedef uint16_t u_int16_t;
typedef uint32_t u_int32_t;
typedef uint64_t u_int64_t;

# 1 "/usr/include/machine/endian.h" 1 3 4


# 1 "/usr/include/sys/endian.h" 1 3 4
# 37 "/usr/include/sys/endian.h" 3 4
# 1 "/usr/include/sys/featuretest.h" 1 3 4
# 38 "/usr/include/sys/endian.h" 2 3 4
# 55 "/usr/include/sys/endian.h" 3 4
# 1 "/usr/include/sys/types.h" 1 3 4
# 56 "/usr/include/sys/endian.h" 2 3 4


typedef __in_addr_t in_addr_t;




typedef __in_port_t in_port_t;




# 67 "/usr/include/sys/endian.h" 3 4
#pragma GCC visibility push(default)
# 67 "/usr/include/sys/endian.h" 3 4

uint32_t htonl(uint32_t) __attribute__((__const__));
uint16_t htons(uint16_t) __attribute__((__const__));
uint32_t ntohl(uint32_t) __attribute__((__const__));
uint16_t ntohs(uint16_t) __attribute__((__const__));

# 72 "/usr/include/sys/endian.h" 3 4
#pragma GCC visibility pop
# 72 "/usr/include/sys/endian.h" 3 4






# 1 "/usr/include/machine/endian_machdep.h" 1 3 4
# 11 "/usr/include/machine/endian_machdep.h" 3 4
# 1 "/usr/include/mips/endian_machdep.h" 1 3 4
# 11 "/usr/include/machine/endian_machdep.h" 2 3 4
# 79 "/usr/include/sys/endian.h" 2 3 4
# 107 "/usr/include/sys/endian.h" 3 4
# 1 "/usr/include/machine/bswap.h" 1 3 4


# 1 "/usr/include/mips/bswap.h" 1 3 4
# 32 "/usr/include/mips/bswap.h" 3 4
# 1 "/usr/include/sys/bswap.h" 1 3 4
# 9 "/usr/include/sys/bswap.h" 3 4
# 1 "/usr/include/sys/stdint.h" 1 3 4
# 36 "/usr/include/sys/stdint.h" 3 4
# 1 "/usr/include/machine/int_types.h" 1 3 4
# 37 "/usr/include/sys/stdint.h" 2 3 4
# 79 "/usr/include/sys/stdint.h" 3 4
typedef __intptr_t intptr_t;




typedef __uintptr_t uintptr_t;



# 1 "/usr/include/machine/int_mwgwtypes.h" 1 3 4


# 1 "/usr/include/mips/int_mwgwtypes.h" 1 3 4
# 36 "/usr/include/mips/int_mwgwtypes.h" 3 4
# 1 "/usr/include/sys/common_int_mwgwtypes.h" 1 3 4
# 45 "/usr/include/sys/common_int_mwgwtypes.h" 3 4
typedef signed char int_least8_t;
typedef unsigned char uint_least8_t;
typedef short int int_least16_t;
typedef short unsigned int uint_least16_t;
typedef int int_least32_t;
typedef unsigned int uint_least32_t;
typedef long long int int_least64_t;
typedef long long unsigned int uint_least64_t;


typedef int int_fast8_t;
typedef unsigned int uint_fast8_t;
typedef int int_fast16_t;
typedef unsigned int uint_fast16_t;
typedef int int_fast32_t;
typedef unsigned int uint_fast32_t;
typedef long long int int_fast64_t;
typedef long long unsigned int uint_fast64_t;



typedef long long int intmax_t;
typedef long long unsigned int uintmax_t;
# 37 "/usr/include/mips/int_mwgwtypes.h" 2 3 4
# 3 "/usr/include/machine/int_mwgwtypes.h" 2 3 4
# 89 "/usr/include/sys/stdint.h" 2 3 4



# 1 "/usr/include/machine/int_limits.h" 1 3 4


# 1 "/usr/include/mips/int_limits.h" 1 3 4
# 36 "/usr/include/mips/int_limits.h" 3 4
# 1 "/usr/include/sys/common_int_limits.h" 1 3 4
# 37 "/usr/include/mips/int_limits.h" 2 3 4
# 3 "/usr/include/machine/int_limits.h" 2 3 4
# 93 "/usr/include/sys/stdint.h" 2 3 4




# 1 "/usr/include/machine/int_const.h" 1 3 4


# 1 "/usr/include/mips/int_const.h" 1 3 4
# 3 "/usr/include/machine/int_const.h" 2 3 4
# 98 "/usr/include/sys/stdint.h" 2 3 4


# 1 "/usr/include/machine/wchar_limits.h" 1 3 4


# 1 "/usr/include/mips/wchar_limits.h" 1 3 4
# 3 "/usr/include/machine/wchar_limits.h" 2 3 4
# 101 "/usr/include/sys/stdint.h" 2 3 4
# 10 "/usr/include/sys/bswap.h" 2 3 4

# 1 "/usr/include/machine/bswap.h" 1 3 4


# 1 "/usr/include/mips/bswap.h" 1 3 4
# 3 "/usr/include/machine/bswap.h" 2 3 4
# 12 "/usr/include/sys/bswap.h" 2 3 4


# 13 "/usr/include/sys/bswap.h" 3 4
#pragma GCC visibility push(default)
# 13 "/usr/include/sys/bswap.h" 3 4






uint16_t bswap16(uint16_t) __asm("__bswap16") __attribute__((__const__));
uint32_t bswap32(uint32_t) __asm("__bswap32") __attribute__((__const__));

uint64_t bswap64(uint64_t) __attribute__((__const__));

# 23 "/usr/include/sys/bswap.h" 3 4
#pragma GCC visibility pop
# 23 "/usr/include/sys/bswap.h" 3 4

# 33 "/usr/include/mips/bswap.h" 2 3 4
# 3 "/usr/include/machine/bswap.h" 2 3 4
# 108 "/usr/include/sys/endian.h" 2 3 4
# 203 "/usr/include/sys/endian.h" 3 4
static __inline void __attribute__((__unused__)) be16enc(void *dst, uint16_t u) { u = (u); __builtin_memcpy(dst, &u, sizeof(u)); }
static __inline void __attribute__((__unused__)) be32enc(void *dst, uint32_t u) { u = (u); __builtin_memcpy(dst, &u, sizeof(u)); }
static __inline void __attribute__((__unused__)) be64enc(void *dst, uint64_t u) { u = (u); __builtin_memcpy(dst, &u, sizeof(u)); }
static __inline void __attribute__((__unused__)) le16enc(void *dst, uint16_t u) { u = ((uint16_t)(__builtin_constant_p((((uint16_t)((u))))) ? (((uint16_t)(((((((uint16_t)((u)))) & 0xff00) >> 8) | (((((uint16_t)((u)))) & 0x00ff) << 8))))) : bswap16(((uint16_t)((u)))))); __builtin_memcpy(dst, &u, sizeof(u)); }
static __inline void __attribute__((__unused__)) le32enc(void *dst, uint32_t u) { u = ((uint32_t)(__builtin_constant_p((((uint32_t)((u))))) ? (((uint32_t)(((((((uint32_t)((u)))) & 0xff000000) >> 24) | (((((uint32_t)((u)))) & 0x00ff0000) >> 8) | (((((uint32_t)((u)))) & 0x0000ff00) << 8) | (((((uint32_t)((u)))) & 0x000000ff) << 24))))) : bswap32(((uint32_t)((u)))))); __builtin_memcpy(dst, &u, sizeof(u)); }
static __inline void __attribute__((__unused__)) le64enc(void *dst, uint64_t u) { u = ((uint64_t)(__builtin_constant_p((((uint64_t)((u))))) ? (((uint64_t)(((((((uint64_t)((u)))) & 0xff00000000000000ull) >> 56) | (((((uint64_t)((u)))) & 0x00ff000000000000ull) >> 40) | (((((uint64_t)((u)))) & 0x0000ff0000000000ull) >> 24) | (((((uint64_t)((u)))) & 0x000000ff00000000ull) >> 8) | (((((uint64_t)((u)))) & 0x00000000ff000000ull) << 8) | (((((uint64_t)((u)))) & 0x0000000000ff0000ull) << 24) | (((((uint64_t)((u)))) & 0x000000000000ff00ull) << 40) | (((((uint64_t)((u)))) & 0x00000000000000ffull) << 56))))) : bswap64(((uint64_t)((u)))))); __builtin_memcpy(dst, &u, sizeof(u)); }
# 220 "/usr/include/sys/endian.h" 3 4
static __inline uint16_t __attribute__((__unused__)) be16dec(const void *buf) { uint16_t u; __builtin_memcpy(&u, buf, sizeof(u)); return (u); }
static __inline uint32_t __attribute__((__unused__)) be32dec(const void *buf) { uint32_t u; __builtin_memcpy(&u, buf, sizeof(u)); return (u); }
static __inline uint64_t __attribute__((__unused__)) be64dec(const void *buf) { uint64_t u; __builtin_memcpy(&u, buf, sizeof(u)); return (u); }
static __inline uint16_t __attribute__((__unused__)) le16dec(const void *buf) { uint16_t u; __builtin_memcpy(&u, buf, sizeof(u)); return ((uint16_t)(__builtin_constant_p((((uint16_t)((u))))) ? (((uint16_t)(((((((uint16_t)((u)))) & 0xff00) >> 8) | (((((uint16_t)((u)))) & 0x00ff) << 8))))) : bswap16(((uint16_t)((u)))))); }
static __inline uint32_t __attribute__((__unused__)) le32dec(const void *buf) { uint32_t u; __builtin_memcpy(&u, buf, sizeof(u)); return ((uint32_t)(__builtin_constant_p((((uint32_t)((u))))) ? (((uint32_t)(((((((uint32_t)((u)))) & 0xff000000) >> 24) | (((((uint32_t)((u)))) & 0x00ff0000) >> 8) | (((((uint32_t)((u)))) & 0x0000ff00) << 8) | (((((uint32_t)((u)))) & 0x000000ff) << 24))))) : bswap32(((uint32_t)((u)))))); }
static __inline uint64_t __attribute__((__unused__)) le64dec(const void *buf) { uint64_t u; __builtin_memcpy(&u, buf, sizeof(u)); return ((uint64_t)(__builtin_constant_p((((uint64_t)((u))))) ? (((uint64_t)(((((((uint64_t)((u)))) & 0xff00000000000000ull) >> 56) | (((((uint64_t)((u)))) & 0x00ff000000000000ull) >> 40) | (((((uint64_t)((u)))) & 0x0000ff0000000000ull) >> 24) | (((((uint64_t)((u)))) & 0x000000ff00000000ull) >> 8) | (((((uint64_t)((u)))) & 0x00000000ff000000ull) << 8) | (((((uint64_t)((u)))) & 0x0000000000ff0000ull) << 24) | (((((uint64_t)((u)))) & 0x000000000000ff00ull) << 40) | (((((uint64_t)((u)))) & 0x00000000000000ffull) << 56))))) : bswap64(((uint64_t)((u)))))); }
# 3 "/usr/include/machine/endian.h" 2 3 4
# 99 "/usr/include/sys/types.h" 2 3 4


typedef unsigned char u_char;
typedef unsigned short u_short;
typedef unsigned int u_int;
typedef unsigned long u_long;

typedef unsigned char unchar;
typedef unsigned short ushort;
typedef unsigned int uint;
typedef unsigned long ulong;


typedef uint64_t u_quad_t;
typedef int64_t quad_t;
typedef quad_t * qaddr_t;
# 126 "/usr/include/sys/types.h" 3 4
typedef int64_t longlong_t;
typedef uint64_t u_longlong_t;

typedef int64_t blkcnt_t;
typedef int32_t blksize_t;


typedef __fsblkcnt_t fsblkcnt_t;




typedef __fsfilcnt_t fsfilcnt_t;






typedef __caddr_t caddr_t;
# 154 "/usr/include/sys/types.h" 3 4
typedef int64_t daddr_t;


typedef uint64_t dev_t;
typedef uint32_t fixpt_t;


typedef __gid_t gid_t;



typedef uint32_t id_t;
typedef uint64_t ino_t;
typedef long key_t;


typedef __mode_t mode_t;



typedef uint32_t nlink_t;


typedef __off_t off_t;




typedef __pid_t pid_t;


typedef int32_t lwpid_t;
typedef uint64_t rlim_t;
typedef int32_t segsz_t;
typedef int32_t swblk_t;


typedef __uid_t uid_t;



typedef int mqd_t;

typedef unsigned long cpuid_t;

typedef int psetid_t;

typedef volatile __cpu_simple_lock_nv_t __cpu_simple_lock_t;
# 244 "/usr/include/sys/types.h" 3 4

# 244 "/usr/include/sys/types.h" 3 4
#pragma GCC visibility push(default)
# 244 "/usr/include/sys/types.h" 3 4

__off_t lseek(int, __off_t, int);
int ftruncate(int, __off_t);
int truncate(const char *, __off_t);

# 248 "/usr/include/sys/types.h" 3 4
#pragma GCC visibility pop
# 248 "/usr/include/sys/types.h" 3 4







typedef int32_t __devmajor_t, __devminor_t;
# 268 "/usr/include/sys/types.h" 3 4
typedef unsigned int clock_t;




typedef long int ptrdiff_t;




typedef long unsigned int size_t;





typedef long int ssize_t;




typedef __int64_t time_t;




typedef int clockid_t;




typedef int timer_t;




typedef int suseconds_t;




typedef unsigned int useconds_t;




# 1 "/usr/include/sys/fd_set.h" 1 3 4
# 38 "/usr/include/sys/fd_set.h" 3 4
# 1 "/usr/include/sys/featuretest.h" 1 3 4
# 39 "/usr/include/sys/fd_set.h" 2 3 4
# 1 "/usr/include/machine/int_types.h" 1 3 4
# 40 "/usr/include/sys/fd_set.h" 2 3 4






typedef __uint32_t __fd_mask;
# 66 "/usr/include/sys/fd_set.h" 3 4
typedef struct fd_set {
 __fd_mask fds_bits[(((256) + ((32) - 1)) / (32))];
} fd_set;
# 315 "/usr/include/sys/types.h" 2 3 4



typedef struct kauth_cred *kauth_cred_t;

typedef int pri_t;
# 354 "/usr/include/sys/types.h" 3 4
# 1 "/usr/include/pthread_types.h" 1 3 4
# 43 "/usr/include/pthread_types.h" 3 4
typedef __cpu_simple_lock_t pthread_spin_t;




typedef pthread_spin_t __pthread_spin_t;
# 61 "/usr/include/pthread_types.h" 3 4
struct pthread_queue_struct_t { struct __pthread_st *ptqh_first; struct __pthread_st **ptqh_last; };
typedef struct pthread_queue_struct_t pthread_queue_t;

struct __pthread_st;
struct __pthread_attr_st;
struct __pthread_mutex_st;
struct __pthread_mutexattr_st;
struct __pthread_cond_st;
struct __pthread_condattr_st;
struct __pthread_spin_st;
struct __pthread_rwlock_st;
struct __pthread_rwlockattr_st;
struct __pthread_barrier_st;
struct __pthread_barrierattr_st;

typedef struct __pthread_st *pthread_t;
typedef struct __pthread_attr_st pthread_attr_t;
typedef struct __pthread_mutex_st pthread_mutex_t;
typedef struct __pthread_mutexattr_st pthread_mutexattr_t;
typedef struct __pthread_cond_st pthread_cond_t;
typedef struct __pthread_condattr_st pthread_condattr_t;
typedef struct __pthread_once_st pthread_once_t;
typedef struct __pthread_spinlock_st pthread_spinlock_t;
typedef struct __pthread_rwlock_st pthread_rwlock_t;
typedef struct __pthread_rwlockattr_st pthread_rwlockattr_t;
typedef struct __pthread_barrier_st pthread_barrier_t;
typedef struct __pthread_barrierattr_st pthread_barrierattr_t;
typedef int pthread_key_t;

struct __pthread_attr_st {
 unsigned int pta_magic;

 int pta_flags;
 void *pta_private;
};
# 112 "/usr/include/pthread_types.h" 3 4
struct __pthread_mutex_st {
 unsigned int ptm_magic;
 __pthread_spin_t ptm_errorcheck;
# 125 "/usr/include/pthread_types.h" 3 4
 union {
  unsigned char ptm_ceiling;
  __pthread_spin_t ptm_unused;
 };



 volatile pthread_t ptm_owner;
 pthread_t * volatile ptm_waiters;
 unsigned int ptm_recursed;
 void *ptm_spare2;
};
# 161 "/usr/include/pthread_types.h" 3 4
struct __pthread_mutexattr_st {
 unsigned int ptma_magic;
 void *ptma_private;
};





struct __pthread_cond_st {
 unsigned int ptc_magic;


 __pthread_spin_t ptc_lock;
 pthread_queue_t ptc_waiters;

 pthread_mutex_t *ptc_mutex;
 void *ptc_private;
};
# 191 "/usr/include/pthread_types.h" 3 4
struct __pthread_condattr_st {
 unsigned int ptca_magic;
 void *ptca_private;
};




struct __pthread_once_st {
 pthread_mutex_t pto_mutex;
 int pto_done;
};



struct __pthread_spinlock_st {
 unsigned int pts_magic;
 __pthread_spin_t pts_spin;
 int pts_flags;
};
# 222 "/usr/include/pthread_types.h" 3 4
struct __pthread_rwlock_st {
 unsigned int ptr_magic;


 __pthread_spin_t ptr_interlock;

 pthread_queue_t ptr_rblocked;
 pthread_queue_t ptr_wblocked;
 unsigned int ptr_nreaders;
 volatile pthread_t ptr_owner;
 void *ptr_private;
};
# 247 "/usr/include/pthread_types.h" 3 4
struct __pthread_rwlockattr_st {
 unsigned int ptra_magic;
 void *ptra_private;
};




struct __pthread_barrier_st {
 unsigned int ptb_magic;


 pthread_spin_t ptb_lock;

 pthread_queue_t ptb_waiters;
 unsigned int ptb_initcount;
 unsigned int ptb_curcount;
 unsigned int ptb_generation;

 void *ptb_private;
};




struct __pthread_barrierattr_st {
 unsigned int ptba_magic;
 void *ptba_private;
};
# 355 "/usr/include/sys/types.h" 2 3 4
# 71 "/usr/include/unistd.h" 2 3 4
# 1 "/usr/include/sys/unistd.h" 1 3 4
# 37 "/usr/include/sys/unistd.h" 3 4
# 1 "/usr/include/sys/featuretest.h" 1 3 4
# 38 "/usr/include/sys/unistd.h" 2 3 4
# 72 "/usr/include/unistd.h" 2 3 4


# 1 "/usr/include/ssp/unistd.h" 1 3 4
# 34 "/usr/include/ssp/unistd.h" 3 4
# 1 "/usr/include/ssp/ssp.h" 1 3 4
# 84 "/usr/include/ssp/ssp.h" 3 4

# 84 "/usr/include/ssp/ssp.h" 3 4
#pragma GCC visibility push(default)
# 84 "/usr/include/ssp/ssp.h" 3 4

void __stack_chk_fail(void) __attribute__((__noreturn__));
void __chk_fail(void) __attribute__((__noreturn__));

# 87 "/usr/include/ssp/ssp.h" 3 4
#pragma GCC visibility pop
# 87 "/usr/include/ssp/ssp.h" 3 4

# 35 "/usr/include/ssp/unistd.h" 2 3 4



# 37 "/usr/include/ssp/unistd.h" 3 4
#pragma GCC visibility push(default)
# 37 "/usr/include/ssp/unistd.h" 3 4


ssize_t __ssp_real_read (int __fd, void *__buf, size_t __len) __asm("read"); static __inline __attribute__((__always_inline__)) ssize_t read (int __fd, void *__buf, size_t __len) __asm("__ssp_protected_read"); static __inline __attribute__((__always_inline__)) ssize_t read (int __fd, void *__buf, size_t __len) { if (1) if (__builtin_object_size(__buf, 0) != (size_t)-1 && __len > __builtin_object_size(__buf, 0)) __chk_fail(); return __ssp_real_read (__fd, __buf, __len); }
                         ;

ssize_t __ssp_real_readlink (const char *restrict __path, char *restrict __buf, size_t __len) __asm("readlink"); static __inline __attribute__((__always_inline__)) ssize_t readlink (const char *restrict __path, char *restrict __buf, size_t __len) __asm("__ssp_protected_readlink"); static __inline __attribute__((__always_inline__)) ssize_t readlink (const char *restrict __path, char *restrict __buf, size_t __len) { if (1) if (__builtin_object_size(__buf, 2 > 1) != (size_t)-1 && __len > __builtin_object_size(__buf, 2 > 1)) __chk_fail(); return __ssp_real_readlink (__path, __buf, __len); }
                                                                  ;

char * __ssp_real_getcwd (char *__buf, size_t __len) __asm("getcwd"); static __inline __attribute__((__always_inline__)) char * getcwd (char *__buf, size_t __len) __asm("__ssp_protected_getcwd"); static __inline __attribute__((__always_inline__)) char * getcwd (char *__buf, size_t __len) { if (__buf != 0) if (__builtin_object_size(__buf, 2 > 1) != (size_t)-1 && __len > __builtin_object_size(__buf, 2 > 1)) __chk_fail(); return __ssp_real_getcwd (__buf, __len); }
                                          ;


# 48 "/usr/include/ssp/unistd.h" 3 4
#pragma GCC visibility pop
# 48 "/usr/include/ssp/unistd.h" 3 4

# 75 "/usr/include/unistd.h" 2 3 4
# 84 "/usr/include/unistd.h" 3 4
# 1 "/usr/include/sys/null.h" 1 3 4
# 85 "/usr/include/unistd.h" 2 3 4


# 86 "/usr/include/unistd.h" 3 4
#pragma GCC visibility push(default)
# 86 "/usr/include/unistd.h" 3 4

__attribute__((__noreturn__)) void _exit(int);
int access(const char *, int);
unsigned int alarm(unsigned int);
int chdir(const char *);



int chown(const char *, __uid_t, __gid_t);

int close(int);
size_t confstr(int, char *, size_t);



char *cuserid(char *);

int dup(int);
int dup2(int, int);
int execl(const char *, const char *, ...);
int execle(const char *, const char *, ...);
int execlp(const char *, const char *, ...);
int execv(const char *, char * const *);
int execve(const char *, char * const *, char * const *);
int execvp(const char *, char * const *);
__pid_t fork(void);
long fpathconf(int, int);



__gid_t getegid(void);
__uid_t geteuid(void);
__gid_t getgid(void);
int getgroups(int, __gid_t []);
 char *getlogin(void);
int getlogin_r(char *, size_t);
__pid_t getpgrp(void);
__pid_t getpid(void);
__pid_t getppid(void);
__uid_t getuid(void);
int isatty(int);
int link(const char *, const char *);
long pathconf(const char *, int);
int pause(void);
int pipe(int *);



int rmdir(const char *);
int setgid(__gid_t);
int setpgid(__pid_t, __pid_t);
__pid_t setsid(void);
int setuid(__uid_t);
unsigned int sleep(unsigned int);
long sysconf(int);
__pid_t tcgetpgrp(int);
int tcsetpgrp(int, __pid_t);
 char *ttyname(int);
int unlink(const char *);
ssize_t write(int, const void *, size_t);







int getopt(int, char * const [], const char *);

extern char *optarg;
extern int opterr;
extern int optind;
extern int optopt;
# 176 "/usr/include/unistd.h" 3 4
int setegid(__gid_t);
int seteuid(__uid_t);
# 205 "/usr/include/unistd.h" 3 4
int fdatasync(int);
int fsync(int);
# 215 "/usr/include/unistd.h" 3 4
int ttyname_r(int, char *, size_t);


int pthread_atfork(void (*)(void), void (*)(void), void (*)(void));







int chroot(const char *);
int nice(int);







 char *crypt(const char *, const char *);
int encrypt(char *, int);
char *getpass(const char *);
__pid_t getsid(__pid_t);
# 257 "/usr/include/unistd.h" 3 4
int brk(void *);
int fchdir(int);



int fchown(int, __uid_t, __gid_t);

int getdtablesize(void);
long gethostid(void);
int gethostname(char *, size_t);
__attribute__((__pure__)) int
  getpagesize(void);
__pid_t getpgid(__pid_t);



int lchown(const char *, __uid_t, __gid_t);

int lockf(int, int, __off_t);
void *sbrk(intptr_t);

int setpgrp(__pid_t, __pid_t);
int setregid(__gid_t, __gid_t);
int setreuid(__uid_t, __uid_t);
void swab(const void * restrict, void * restrict, ssize_t);
int symlink(const char *, const char *);
void sync(void);
useconds_t ualarm(useconds_t, useconds_t);
int usleep(useconds_t);

__pid_t vfork(void) __asm("__vfork14") __attribute__((__returns_twice__));



char *getwd(char *);
# 301 "/usr/include/unistd.h" 3 4
ssize_t pread(int, void *, size_t, __off_t);
ssize_t pwrite(int, const void *, size_t, __off_t);







int linkat(int, const char *, int, const char *, int);
int renameat(int, const char *, int, const char *);
int faccessat(int, const char *, int, int);
int fchownat(int, const char *, __uid_t, __gid_t, int);
ssize_t readlinkat(int, const char *, char *, size_t);
int symlinkat(const char *, int, const char *);
int unlinkat(int, const char *, int);
# 327 "/usr/include/unistd.h" 3 4
int acct(const char *);
int closefrom(int);
int des_cipher(const char *, char *, long, int);
int des_setkey(const char *);
int dup3(int, int, int);
void endusershell(void);
int exect(const char *, char * const *, char * const *);
int execvpe(const char *, char * const *, char * const *);
int execlpe(const char *, const char *, ...);
int fchroot(int);
int fdiscard(int, __off_t, __off_t);
int fsync_range(int, int, __off_t, __off_t);
int getdomainname(char *, size_t);
int getgrouplist(const char *, __gid_t, __gid_t *, int *);
int getgroupmembership(const char *, __gid_t, __gid_t *, int, int *);
__mode_t getmode(const void *, __mode_t);
char *getpassfd(const char *, char *, size_t, int *, int, int);
# 356 "/usr/include/unistd.h" 3 4
char *getpass_r(const char *, char *, size_t);
int getpeereid(int, __uid_t *, __gid_t *);
 char *getusershell(void);
int initgroups(const char *, __gid_t);
int iruserok(uint32_t, int, const char *, const char *);
int issetugid(void);
int mkstemps(char *, int);
int nfssvc(int, void *);
int pipe2(int *, int);
int profil(char *, size_t, unsigned long, unsigned int);



void psignal(int, const char *);

int rcmd(char **, int, const char *, const char *, const char *, int *);
int reboot(int, char *);
int revoke(const char *);
int rresvport(int *);
int ruserok(const char *, int, const char *, const char *);
int setdomainname(const char *, size_t);
int setgroups(int, const __gid_t *);
int sethostid(long);
int sethostname(const char *, size_t);
int setlogin(const char *);
void *setmode(const char *);
int setrgid(__gid_t);
int setruid(__uid_t);
void setusershell(void);
void strmode(__mode_t, char *);



 char *strsignal(int);

int swapctl(int, void *, int);
int swapon(const char *);
int syscall(int, ...);
quad_t __syscall(quad_t, ...);
int undelete(const char *);


int rcmd_af(char **, int, const char *,
     const char *, const char *, int *, int);
int rresvport_af(int *, int);
int rresvport_af_addr(int *, int, void *);
int iruserok_sa(const void *, int, int, const char *, const char *);





extern const char *const *sys_siglist __asm("__sys_siglist14");

extern int optreset;
extern char *suboptarg;



# 414 "/usr/include/unistd.h" 3 4
#pragma GCC visibility pop
# 414 "/usr/include/unistd.h" 3 4

# 226 "./mpconfigport.h" 2
# 235 "./mpconfigport.h"

# 235 "./mpconfigport.h"
typedef int mp_int_t;
typedef unsigned int mp_uint_t;







typedef long mp_off_t;


void mp_unix_alloc_exec(size_t min_size, void** ptr, size_t *size);
void mp_unix_free_exec(void *ptr, size_t size);
void mp_unix_mark_exec(void);
# 294 "./mpconfigport.h"
# 1 "/usr/include/sys/param.h" 1 3 4
# 104 "/usr/include/sys/param.h" 3 4
# 1 "/usr/include/sys/inttypes.h" 1 3 4
# 43 "/usr/include/sys/inttypes.h" 3 4
# 1 "/usr/include/machine/int_fmtio.h" 1 3 4


# 1 "/usr/include/mips/int_fmtio.h" 1 3 4
# 3 "/usr/include/machine/int_fmtio.h" 2 3 4
# 44 "/usr/include/sys/inttypes.h" 2 3 4
# 105 "/usr/include/sys/param.h" 2 3 4
# 115 "/usr/include/sys/param.h" 3 4
# 1 "/usr/include/sys/syslimits.h" 1 3 4
# 37 "/usr/include/sys/syslimits.h" 3 4
# 1 "/usr/include/sys/featuretest.h" 1 3 4
# 38 "/usr/include/sys/syslimits.h" 2 3 4
# 116 "/usr/include/sys/param.h" 2 3 4
# 170 "/usr/include/sys/param.h" 3 4
# 1 "/usr/include/sys/signal.h" 1 3 4
# 42 "/usr/include/sys/signal.h" 3 4
# 1 "/usr/include/sys/featuretest.h" 1 3 4
# 43 "/usr/include/sys/signal.h" 2 3 4
# 1 "/usr/include/sys/sigtypes.h" 1 3 4
# 48 "/usr/include/sys/sigtypes.h" 3 4
# 1 "/usr/include/sys/featuretest.h" 1 3 4
# 49 "/usr/include/sys/sigtypes.h" 2 3 4
# 1 "/usr/include/machine/int_types.h" 1 3 4
# 50 "/usr/include/sys/sigtypes.h" 2 3 4
# 1 "/usr/include/machine/ansi.h" 1 3 4


# 1 "/usr/include/mips/ansi.h" 1 3 4
# 3 "/usr/include/machine/ansi.h" 2 3 4
# 51 "/usr/include/sys/sigtypes.h" 2 3 4
# 60 "/usr/include/sys/sigtypes.h" 3 4

# 60 "/usr/include/sys/sigtypes.h" 3 4
typedef struct {
 __uint32_t __bits[4];
} sigset_t;
# 108 "/usr/include/sys/sigtypes.h" 3 4
typedef struct

               sigaltstack

      {
 void *ss_sp;
 size_t ss_size;
 int ss_flags;
} stack_t;
# 44 "/usr/include/sys/signal.h" 2 3 4
# 112 "/usr/include/sys/signal.h" 3 4
# 1 "/usr/include/sys/siginfo.h" 1 3 4
# 35 "/usr/include/sys/siginfo.h" 3 4
# 1 "/usr/include/machine/signal.h" 1 3 4


# 1 "/usr/include/mips/signal.h" 1 3 4
# 40 "/usr/include/mips/signal.h" 3 4
# 1 "/usr/include/sys/featuretest.h" 1 3 4
# 41 "/usr/include/mips/signal.h" 2 3 4

# 1 "/usr/include/machine/cdefs.h" 1 3 4
# 43 "/usr/include/mips/signal.h" 2 3 4
# 56 "/usr/include/mips/signal.h" 3 4
typedef int sig_atomic_t;
# 3 "/usr/include/machine/signal.h" 2 3 4
# 36 "/usr/include/sys/siginfo.h" 2 3 4
# 1 "/usr/include/sys/featuretest.h" 1 3 4
# 37 "/usr/include/sys/siginfo.h" 2 3 4




typedef union sigval {
 int sival_int;
 void *sival_ptr;
} sigval_t;

struct _ksiginfo {
 int _signo;
 int _code;
 int _errno;




 union {
  struct {
   __pid_t _pid;
   __uid_t _uid;
   sigval_t _value;
  } _rt;

  struct {
   __pid_t _pid;
   __uid_t _uid;
   int _status;
   clock_t _utime;
   clock_t _stime;
  } _child;

  struct {
   void *_addr;
   int _trap;
   int _trap2;
   int _trap3;
  } _fault;

  struct {
   long _band;
   int _fd;
  } _poll;

  struct {
   int _sysnum;
   int _retval[2];
   int _error;
   uint64_t _args[8];
  } _syscall;

  struct {
   int _pe_report_event;
   union {
    __pid_t _pe_other_pid;
    lwpid_t _pe_lwp;
   } _option;
  } _ptrace_state;
 } _reason;
};
# 148 "/usr/include/sys/siginfo.h" 3 4
typedef union siginfo {
 char si_pad[128];
 struct _ksiginfo _info;
} siginfo_t;
# 113 "/usr/include/sys/signal.h" 2 3 4




# 1 "/usr/include/sys/ucontext.h" 1 3 4
# 36 "/usr/include/sys/ucontext.h" 3 4
# 1 "/usr/include/machine/mcontext.h" 1 3 4


# 1 "/usr/include/mips/mcontext.h" 1 3 4
# 84 "/usr/include/mips/mcontext.h" 3 4
typedef long long __greg_t;




typedef __greg_t __gregset_t[37];







typedef __greg_t __freg_t;




struct __fpregset_nabi {
 union {
  double __fp64_dregs[32];
  __freg_t __fp_regs[32];
 } __fp_r;
 __greg_t __fp_csr;
};
struct __fpregset_oabi {
 union {
  double __fp_dregs[16];
  float __fp_fregs[32];
  __int32_t __fp_regs[32];
 } __fp_r;
 unsigned int __fp_csr;
 unsigned int __fp_pad;
};


typedef struct __fpregset_nabi __fpregset_t;




typedef struct {
 __gregset_t __gregs;
 __fpregset_t __fpregs;
 __greg_t _mc_tlsbase;



} mcontext_t;
# 3 "/usr/include/machine/mcontext.h" 2 3 4
# 37 "/usr/include/sys/ucontext.h" 2 3 4

typedef struct __ucontext ucontext_t;

struct __ucontext {
 unsigned int uc_flags;
 ucontext_t * uc_link;
 sigset_t uc_sigmask;
 stack_t uc_stack;
 mcontext_t uc_mcontext;

 long __uc_pad[14];

};
# 118 "/usr/include/sys/signal.h" 2 3 4





struct sigaction {
 union {
  void (*_sa_handler)(int);


  void (*_sa_sigaction)(int, siginfo_t *, void *);

 } _sa_u;
 sigset_t sa_mask;
 int sa_flags;
};







# 1 "/usr/include/machine/signal.h" 1 3 4
# 142 "/usr/include/sys/signal.h" 2 3 4
# 172 "/usr/include/sys/signal.h" 3 4
typedef void (*sig_t)(int);
# 198 "/usr/include/sys/signal.h" 3 4
struct sigstack {
 void *ss_sp;
 int ss_onstack;
};
# 216 "/usr/include/sys/signal.h" 3 4
struct sigevent {
 int sigev_notify;
 int sigev_signo;
 union sigval sigev_value;
 void (*sigev_notify_function)(union sigval);
 void *sigev_notify_attributes;
};
# 238 "/usr/include/sys/signal.h" 3 4

# 238 "/usr/include/sys/signal.h" 3 4
#pragma GCC visibility push(default)
# 238 "/usr/include/sys/signal.h" 3 4

void (*signal(int, void (*)(int)))(int);
void (*bsd_signal(int, void (*)(int)))(int);

int sigqueue(__pid_t, int, const union sigval);


int sigqueueinfo(__pid_t, const siginfo_t *);


# 247 "/usr/include/sys/signal.h" 3 4
#pragma GCC visibility pop
# 247 "/usr/include/sys/signal.h" 3 4

# 171 "/usr/include/sys/param.h" 2 3 4


# 1 "/usr/include/machine/param.h" 1 3 4
# 47 "/usr/include/machine/param.h" 3 4
# 1 "/usr/include/mips/mips_param.h" 1 3 4
# 48 "/usr/include/machine/param.h" 2 3 4
# 174 "/usr/include/sys/param.h" 2 3 4
# 1 "/usr/include/machine/limits.h" 1 3 4


# 1 "/usr/include/mips/limits.h" 1 3 4
# 37 "/usr/include/mips/limits.h" 3 4
# 1 "/usr/include/sys/featuretest.h" 1 3 4
# 38 "/usr/include/mips/limits.h" 2 3 4
# 3 "/usr/include/machine/limits.h" 2 3 4
# 175 "/usr/include/sys/param.h" 2 3 4
# 295 "./mpconfigport.h" 2

# 1 "/usr/include/stdlib.h" 1 3 4
# 38 "/usr/include/stdlib.h" 3 4
# 1 "/usr/include/sys/featuretest.h" 1 3 4
# 39 "/usr/include/stdlib.h" 2 3 4





# 1 "/usr/include/machine/ansi.h" 1 3 4


# 1 "/usr/include/mips/ansi.h" 1 3 4
# 3 "/usr/include/machine/ansi.h" 2 3 4
# 45 "/usr/include/stdlib.h" 2 3 4







typedef int wchar_t;



typedef struct {
 int quot;
 int rem;
} div_t;

typedef struct {
 long quot;
 long rem;
} ldiv_t;




typedef struct {

 long long int quot;

 long long int rem;
} lldiv_t;



typedef struct {
 quad_t quot;
 quad_t rem;
} qdiv_t;
# 92 "/usr/include/stdlib.h" 3 4
extern size_t __mb_cur_max;



# 95 "/usr/include/stdlib.h" 3 4
#pragma GCC visibility push(default)
# 95 "/usr/include/stdlib.h" 3 4

__attribute__((__noreturn__)) void _Exit(int);
__attribute__((__noreturn__)) void abort(void);
__attribute__((__const__)) int abs(int);
int atexit(void (*)(void));
double atof(const char *);
int atoi(const char *);
long atol(const char *);



void *bsearch(const void *, const void *, size_t, size_t,
    int (*)(const void *, const void *));

void *calloc(size_t, size_t);
div_t div(int, int);
__attribute__((__noreturn__)) void exit(int);
void free(void *);
 char *getenv(const char *);
__attribute__((__const__)) long
  labs(long);
ldiv_t ldiv(long, long);
void *malloc(size_t);
void qsort(void *, size_t, size_t, int (*)(const void *, const void *));
int rand(void);
void *realloc(void *, size_t);
void srand(unsigned);
double strtod(const char * restrict, char ** restrict);
long strtol(const char * restrict, char ** restrict, int);
unsigned long
  strtoul(const char * restrict, char ** restrict, int);




int system(const char *);


int mblen(const char *, size_t);
size_t mbstowcs(wchar_t * restrict, const char * restrict, size_t);
int wctomb(char *, wchar_t);
int mbtowc(wchar_t * restrict, const char * restrict, size_t);
size_t wcstombs(char * restrict, const wchar_t * restrict, size_t);
# 148 "/usr/include/stdlib.h" 3 4
int rand_r(unsigned int *);







double drand48(void);
double erand48(unsigned short[3]);
long jrand48(unsigned short[3]);
void lcong48(unsigned short[7]);
long lrand48(void);
long mrand48(void);
long nrand48(unsigned short[3]);
unsigned short *
  seed48(unsigned short[3]);
void srand48(long);


int putenv(char *) __asm("__putenv50");
# 178 "/usr/include/stdlib.h" 3 4
long a64l(const char *);
char *l64a(long);

long random(void);
char *setstate(char *);

char *initstate(unsigned int, char *, size_t) __asm("__initstate60");
void srandom(unsigned int) __asm("__srandom60");



int mkostemp(char *, int);
int mkostemps(char *, int, int);


char *mkdtemp(char *);
int mkstemp(char *);
char *mktemp(char *)



 ;

int setkey(const char *);

char *realpath(const char * restrict, char * restrict);

int ttyslot(void);

void *valloc(size_t);

int getsubopt(char **, char * const *, char **);

int grantpt(int);
int unlockpt(int);
char *ptsname(int);
# 223 "/usr/include/stdlib.h" 3 4
long long int atoll(const char *);

long long int llabs(long long int);

lldiv_t lldiv(long long int, long long int);

long long int strtoll(const char * restrict, char ** restrict, int);

unsigned long long int
  strtoull(const char * restrict, char ** restrict, int);
float strtof(const char * restrict, char ** restrict);
long double strtold(const char * restrict, char ** restrict);




void *aligned_alloc(size_t, size_t);
int at_quick_exit(void (*)(void));
__attribute__((__noreturn__)) void quick_exit(int);







int setenv(const char *, const char *, int);

int unsetenv(const char *) __asm("__unsetenv13");


int posix_openpt(int);
int posix_memalign(void **, size_t, size_t);
# 268 "/usr/include/stdlib.h" 3 4
void *alloca(size_t);


uint32_t arc4random(void);
void arc4random_stir(void);
void arc4random_buf(void *, size_t);
uint32_t arc4random_uniform(uint32_t);
void arc4random_addrandom(u_char *, int);
char *getbsize(int *, long *);
char *cgetcap(char *, const char *, int);
int cgetclose(void);
int cgetent(char **, const char * const *, const char *);
int cgetfirst(char **, const char * const *);
int cgetmatch(const char *, const char *);
int cgetnext(char **, const char * const *);
int cgetnum(char *, const char *, long *);
int cgetset(const char *);
int cgetstr(char *, const char *, char **);
int cgetustr(char *, const char *, char **);
void csetexpandtc(int);

int daemon(int, int);
int devname_r(dev_t, __mode_t, char *, size_t);

 char *devname(dev_t, __mode_t) __asm("__devname50");
# 303 "/usr/include/stdlib.h" 3 4
int humanize_number(char *, size_t, int64_t, const char *, int, int);
int dehumanize_number(const char *, int64_t *);
ssize_t hmac(const char *, const void *, size_t, const void *, size_t, void *,
   size_t);

__devmajor_t getdevmajor(const char *, __mode_t);
int getloadavg(double [], int);

int getenv_r(const char *, char *, size_t);

void cfree(void *);

int heapsort(void *, size_t, size_t, int (*)(const void *, const void *));
int mergesort(void *, size_t, size_t,
     int (*)(const void *, const void *));
int ptsname_r(int, char *, size_t);
int radixsort(const unsigned char **, int, const unsigned char *,
     unsigned);
int sradixsort(const unsigned char **, int, const unsigned char *,
     unsigned);

void mi_vector_hash(const void * restrict, size_t, uint32_t,
     uint32_t[3]);

void setproctitle(const char *, ...)
     __attribute__((__format__ (__printf__, 1, 2)));
const char *getprogname(void) __attribute__((__const__));
void setprogname(const char *);

quad_t qabs(quad_t);
quad_t strtoq(const char * restrict, char ** restrict, int);
u_quad_t strtouq(const char * restrict, char ** restrict, int);


long long strsuftoll(const char *, const char *, long long, long long);

long long strsuftollx(const char *, const char *, long long, long long,
       char *, size_t);

int l64a_r(long, char *, int);

size_t shquote(const char *, char *, size_t);
size_t shquotev(int, char * const *, char *, size_t);

int reallocarr(void *, size_t, size_t);




qdiv_t qdiv(quad_t, quad_t);




typedef struct _locale *locale_t;


double strtod_l(const char * restrict, char ** restrict, locale_t);
float strtof_l(const char * restrict, char ** restrict, locale_t);
long double strtold_l(const char * restrict, char ** restrict,
     locale_t);
long strtol_l(const char * restrict, char ** restrict, int, locale_t);
unsigned long
  strtoul_l(const char * restrict, char ** restrict, int, locale_t);

long long int
 strtoll_l(const char * restrict, char ** restrict, int, locale_t);

unsigned long long int
 strtoull_l(const char * restrict, char ** restrict, int, locale_t);


quad_t strtoq_l(const char * restrict, char ** restrict, int, locale_t);
u_quad_t strtouq_l(const char * restrict, char ** restrict, int, locale_t);

size_t _mb_cur_max_l(locale_t);

int mblen_l(const char *, size_t, locale_t);
size_t mbstowcs_l(wchar_t * restrict, const char * restrict, size_t,
      locale_t);
int wctomb_l(char *, wchar_t, locale_t);
int mbtowc_l(wchar_t * restrict, const char * restrict, size_t,
           locale_t);
size_t wcstombs_l(char * restrict, const wchar_t * restrict, size_t,
      locale_t);





# 392 "/usr/include/stdlib.h" 3 4
#pragma GCC visibility pop
# 392 "/usr/include/stdlib.h" 3 4

# 297 "./mpconfigport.h" 2
# 318 "./mpconfigport.h"
# 1 "/usr/include/stdio.h" 1 3 4
# 41 "/usr/include/stdio.h" 3 4
# 1 "/usr/include/sys/featuretest.h" 1 3 4
# 42 "/usr/include/stdio.h" 2 3 4
# 67 "/usr/include/stdio.h" 3 4
typedef struct __sfpos {
 __off_t _pos;
 __mbstate_t _mbstate_in, _mbstate_out;
} fpos_t;
# 81 "/usr/include/stdio.h" 3 4
struct __sbuf {
 unsigned char *_base;
 int _size;
};
# 112 "/usr/include/stdio.h" 3 4
typedef struct __sFILE {
 unsigned char *_p;
 int _r;
 int _w;
 unsigned short _flags;
 short _file;
 struct __sbuf _bf;
 int _lbfsize;


 void *_cookie;
 int (*_close)(void *);
 ssize_t (*_read) (void *, void *, size_t);
 __off_t (*_seek) (void *, __off_t, int);
 ssize_t (*_write)(void *, const void *, size_t);


 struct __sbuf _ext;


 unsigned char *_up;
 int _ur;


 unsigned char _ubuf[3];
 unsigned char _nbuf[1];

 int (*_flush)(void *);

 char _lb_unused[sizeof(struct __sbuf) - sizeof(int (*)(void *))];


 int _blksize;
 __off_t _offset;
} FILE;


# 148 "/usr/include/stdio.h" 3 4
#pragma GCC visibility push(default)
# 148 "/usr/include/stdio.h" 3 4

extern FILE __sF[3];

# 150 "/usr/include/stdio.h" 3 4
#pragma GCC visibility pop
# 150 "/usr/include/stdio.h" 3 4

# 222 "/usr/include/stdio.h" 3 4

# 222 "/usr/include/stdio.h" 3 4
#pragma GCC visibility push(default)
# 222 "/usr/include/stdio.h" 3 4

void clearerr(FILE *);
int fclose(FILE *);
int feof(FILE *);
int ferror(FILE *);
int fflush(FILE *);
int fgetc(FILE *);
char *fgets(char * restrict, int, FILE * restrict);
FILE *fopen(const char * restrict , const char * restrict);
int fprintf(FILE * restrict, const char * restrict, ...)
  __attribute__((__format__ (__printf__, 2, 3)));
int fputc(int, FILE *);
int fputs(const char * restrict, FILE * restrict);
size_t fread(void * restrict, size_t, size_t, FILE * restrict);
FILE *freopen(const char * restrict, const char * restrict,
     FILE * restrict);
int fscanf(FILE * restrict, const char * restrict, ...)
  __attribute__((__format__ (__scanf__, 2, 3)));
int fseek(FILE *, long, int);
long ftell(FILE *);
size_t fwrite(const void * restrict, size_t, size_t, FILE * restrict);
int getc(FILE *);
int getchar(void);
void perror(const char *);
int printf(const char * restrict, ...)
  __attribute__((__format__ (__printf__, 1, 2)));
int putc(int, FILE *);
int putchar(int);
int puts(const char *);
int remove(const char *);
void rewind(FILE *);
int scanf(const char * restrict, ...)
  __attribute__((__format__ (__scanf__, 1, 2)));
void setbuf(FILE * restrict, char * restrict);
int setvbuf(FILE * restrict, char * restrict, int, size_t);
int sscanf(const char * restrict, const char * restrict, ...)
  __attribute__((__format__ (__scanf__, 2, 3)));
FILE *tmpfile(void);
int ungetc(int, FILE *);
int vfprintf(FILE * restrict, const char * restrict, __va_list)
  __attribute__((__format__ (__printf__, 2, 0)));
int vprintf(const char * restrict, __va_list)
  __attribute__((__format__ (__printf__, 1, 0)));


char *gets(char *);
int sprintf(char * restrict, const char * restrict, ...)
  __attribute__((__format__ (__printf__, 2, 3)));
char *tmpnam(char *);
int vsprintf(char * restrict, const char * restrict,
    __va_list)
  __attribute__((__format__ (__printf__, 2, 0)));





int rename (const char *, const char *);


# 281 "/usr/include/stdio.h" 3 4
#pragma GCC visibility pop
# 281 "/usr/include/stdio.h" 3 4



int fgetpos(FILE * restrict, fpos_t * restrict) __asm("__fgetpos50");
int fsetpos(FILE *, const fpos_t *) __asm("__fsetpos50");
# 295 "/usr/include/stdio.h" 3 4

# 295 "/usr/include/stdio.h" 3 4
#pragma GCC visibility push(default)
# 295 "/usr/include/stdio.h" 3 4

char *ctermid(char *);





FILE *fdopen(int, const char *);
int fileno(FILE *);

# 304 "/usr/include/stdio.h" 3 4
#pragma GCC visibility pop
# 304 "/usr/include/stdio.h" 3 4









# 312 "/usr/include/stdio.h" 3 4
#pragma GCC visibility push(default)
# 312 "/usr/include/stdio.h" 3 4

void flockfile(FILE *);
int ftrylockfile(FILE *);
void funlockfile(FILE *);
int getc_unlocked(FILE *);
int getchar_unlocked(void);
int putc_unlocked(int, FILE *);
int putchar_unlocked(int);

# 320 "/usr/include/stdio.h" 3 4
#pragma GCC visibility pop
# 320 "/usr/include/stdio.h" 3 4









# 328 "/usr/include/stdio.h" 3 4
#pragma GCC visibility push(default)
# 328 "/usr/include/stdio.h" 3 4

int pclose(FILE *);
FILE *popen(const char *, const char *);

# 331 "/usr/include/stdio.h" 3 4
#pragma GCC visibility pop
# 331 "/usr/include/stdio.h" 3 4




# 334 "/usr/include/stdio.h" 3 4
#pragma GCC visibility push(default)
# 334 "/usr/include/stdio.h" 3 4

FILE *popenve(const char *, char *const *, char *const *, const char *);

# 336 "/usr/include/stdio.h" 3 4
#pragma GCC visibility pop
# 336 "/usr/include/stdio.h" 3 4

# 347 "/usr/include/stdio.h" 3 4

# 347 "/usr/include/stdio.h" 3 4
#pragma GCC visibility push(default)
# 347 "/usr/include/stdio.h" 3 4

int snprintf(char * restrict, size_t, const char * restrict, ...)
  __attribute__((__format__ (__printf__, 3, 4)));
int vsnprintf(char * restrict, size_t, const char * restrict,
     __va_list)
  __attribute__((__format__ (__printf__, 3, 0)));

# 353 "/usr/include/stdio.h" 3 4
#pragma GCC visibility pop
# 353 "/usr/include/stdio.h" 3 4








# 360 "/usr/include/stdio.h" 3 4
#pragma GCC visibility push(default)
# 360 "/usr/include/stdio.h" 3 4

int getw(FILE *);
int putw(int, FILE *);


char *tempnam(const char *, const char *);


# 367 "/usr/include/stdio.h" 3 4
#pragma GCC visibility pop
# 367 "/usr/include/stdio.h" 3 4

# 380 "/usr/include/stdio.h" 3 4

# 380 "/usr/include/stdio.h" 3 4
#pragma GCC visibility push(default)
# 380 "/usr/include/stdio.h" 3 4

int fseeko(FILE *, __off_t, int);
__off_t ftello(FILE *);

# 383 "/usr/include/stdio.h" 3 4
#pragma GCC visibility pop
# 383 "/usr/include/stdio.h" 3 4









# 391 "/usr/include/stdio.h" 3 4
#pragma GCC visibility push(default)
# 391 "/usr/include/stdio.h" 3 4

int vscanf(const char * restrict, __va_list)
  __attribute__((__format__ (__scanf__, 1, 0)));
int vfscanf(FILE * restrict, const char * restrict, __va_list)
  __attribute__((__format__ (__scanf__, 2, 0)));
int vsscanf(const char * restrict, const char * restrict,
    __va_list)
    __attribute__((__format__ (__scanf__, 2, 0)));

# 399 "/usr/include/stdio.h" 3 4
#pragma GCC visibility pop
# 399 "/usr/include/stdio.h" 3 4

# 413 "/usr/include/stdio.h" 3 4

# 413 "/usr/include/stdio.h" 3 4
#pragma GCC visibility push(default)
# 413 "/usr/include/stdio.h" 3 4

int asprintf(char ** restrict, const char * restrict, ...)
  __attribute__((__format__ (__printf__, 2, 3)));
char *fgetln(FILE * restrict, size_t * restrict);
char *fparseln(FILE *, size_t *, size_t *, const char[3], int);
int fpurge(FILE *);
void setbuffer(FILE *, char *, int);
int setlinebuf(FILE *);
int vasprintf(char ** restrict, const char * restrict,
    __va_list)
  __attribute__((__format__ (__printf__, 2, 0)));
const char *fmtcheck(const char *, const char *)
  __attribute__((__format_arg__ (2)));

# 426 "/usr/include/stdio.h" 3 4
#pragma GCC visibility pop
# 426 "/usr/include/stdio.h" 3 4






# 431 "/usr/include/stdio.h" 3 4
#pragma GCC visibility push(default)
# 431 "/usr/include/stdio.h" 3 4

FILE *funopen(const void *,
    int (*)(void *, char *, int),
    int (*)(void *, const char *, int),
    __off_t (*)(void *, __off_t, int),
    int (*)(void *));
FILE *funopen2(const void *,
    ssize_t (*)(void *, void *, size_t),
    ssize_t (*)(void *, const void *, size_t),
    __off_t (*)(void *, __off_t, int),
    int (*)(void *),
    int (*)(void *));

# 443 "/usr/include/stdio.h" 3 4
#pragma GCC visibility pop
# 443 "/usr/include/stdio.h" 3 4

# 453 "/usr/include/stdio.h" 3 4

# 453 "/usr/include/stdio.h" 3 4
#pragma GCC visibility push(default)
# 453 "/usr/include/stdio.h" 3 4

int __srget(FILE *);
int __swbuf(int, FILE *);

# 456 "/usr/include/stdio.h" 3 4
#pragma GCC visibility pop
# 456 "/usr/include/stdio.h" 3 4








static __inline int __sputc(int _c, FILE *_p) {
 if (--_p->_w >= 0 || (_p->_w >= _p->_lbfsize && (char)_c != '\n'))
  return *_p->_p++ = (unsigned char)_c;
 else
  return __swbuf(_c, _p);
}
# 513 "/usr/include/stdio.h" 3 4

# 513 "/usr/include/stdio.h" 3 4
#pragma GCC visibility push(default)
# 513 "/usr/include/stdio.h" 3 4

int vdprintf(int, const char * restrict, __va_list)
  __attribute__((__format__ (__printf__, 2, 0)));
int dprintf(int, const char * restrict, ...)
  __attribute__((__format__ (__printf__, 2, 3)));

# 518 "/usr/include/stdio.h" 3 4
#pragma GCC visibility pop
# 518 "/usr/include/stdio.h" 3 4

# 532 "/usr/include/stdio.h" 3 4

# 532 "/usr/include/stdio.h" 3 4
#pragma GCC visibility push(default)
# 532 "/usr/include/stdio.h" 3 4

FILE *fmemopen(void * restrict, size_t, const char * restrict);
FILE *open_memstream(char **, size_t *);
ssize_t getdelim(char ** restrict, size_t * restrict, int,
     FILE * restrict);
ssize_t getline(char ** restrict, size_t * restrict, FILE * restrict);

# 538 "/usr/include/stdio.h" 3 4
#pragma GCC visibility pop
# 538 "/usr/include/stdio.h" 3 4









# 546 "/usr/include/stdio.h" 3 4
#pragma GCC visibility push(default)
# 546 "/usr/include/stdio.h" 3 4

int fprintf_l(FILE * restrict, locale_t, const char * restrict, ...)
  __attribute__((__format__ (__printf__, 3, 4)));
int vfprintf_l(FILE * restrict, locale_t, const char * restrict,
  __va_list) __attribute__((__format__ (__printf__, 3, 0)));
int printf_l(locale_t, const char * restrict, ...)
  __attribute__((__format__ (__printf__, 2, 3)));
int vprintf_l(locale_t, const char * restrict, __va_list)
  __attribute__((__format__ (__printf__, 2, 0)));
int asprintf_l(char ** restrict, locale_t, const char * restrict, ...)
  __attribute__((__format__ (__printf__, 3, 4)));
int vasprintf_l(char ** restrict, locale_t, const char * restrict,
    __va_list)
  __attribute__((__format__ (__printf__, 3, 0)));
int vdprintf_l(int, locale_t, const char * restrict, __va_list)
  __attribute__((__format__ (__printf__, 3, 0)));
int dprintf_l(int, locale_t, const char * restrict, ...)
  __attribute__((__format__ (__printf__, 3, 4)));
int snprintf_l(char * restrict, size_t, locale_t,
      const char * restrict, ...) __attribute__((__format__ (__printf__, 4, 5)));
int vsnprintf_l(char * restrict, size_t, locale_t,
       const char * restrict, __va_list) __attribute__((__format__ (__printf__, 4, 0)));

int sprintf_l(char * restrict, locale_t, const char * restrict, ...)
     __attribute__((__format__ (__printf__, 3, 4)));
int vsprintf_l(char * restrict, locale_t, const char * restrict,
      __va_list) __attribute__((__format__ (__printf__, 3, 0)));


int fscanf_l(FILE * restrict, locale_t, const char * restrict, ...)
    __attribute__((__format__ (__scanf__, 3, 4)));
int scanf_l(locale_t, const char * restrict, ...)
    __attribute__((__format__ (__scanf__, 2, 3)));
int sscanf_l(const char * restrict, locale_t,
    const char * restrict, ...) __attribute__((__format__ (__scanf__, 3, 4)));
int vscanf_l(locale_t, const char * restrict, __va_list)
    __attribute__((__format__ (__scanf__, 2, 0)));
int vfscanf_l(FILE * restrict, locale_t, const char * restrict,
    __va_list) __attribute__((__format__ (__scanf__, 3, 0)));
int vsscanf_l(const char * restrict, locale_t, const char * restrict,
    __va_list) __attribute__((__format__ (__scanf__, 3, 0)));

int snprintf_ss(char *restrict, size_t, const char * restrict, ...)
    __attribute__((__format__ (__printf__, 3, 4)));
int vsnprintf_ss(char *restrict, size_t, const char * restrict, __va_list)
    __attribute__((__format__ (__printf__, 3, 0)));


# 593 "/usr/include/stdio.h" 3 4
#pragma GCC visibility pop
# 593 "/usr/include/stdio.h" 3 4




# 1 "/usr/include/ssp/stdio.h" 1 3 4
# 36 "/usr/include/ssp/stdio.h" 3 4

# 36 "/usr/include/ssp/stdio.h" 3 4
#pragma GCC visibility push(default)
# 36 "/usr/include/ssp/stdio.h" 3 4

int __sprintf_chk(char *restrict, int, size_t, const char *restrict, ...)
    __attribute__((__format__ (__printf__, 4, 5)));
int __vsprintf_chk(char *restrict, int, size_t, const char *restrict,
    __va_list)
    __attribute__((__format__ (__printf__, 4, 0)));
int __snprintf_chk(char *restrict, size_t, int, size_t,
    const char *restrict, ...)
    __attribute__((__format__ (__printf__, 5, 6)));
int __vsnprintf_chk(char *restrict, size_t, int, size_t,
     const char *restrict, __va_list)
    __attribute__((__format__ (__printf__, 5, 0)));
char *__gets_chk(char *, size_t);
char *__fgets_chk(char *, int, size_t, FILE *);

# 50 "/usr/include/ssp/stdio.h" 3 4
#pragma GCC visibility pop
# 50 "/usr/include/ssp/stdio.h" 3 4

# 598 "/usr/include/stdio.h" 2 3 4
# 319 "./mpconfigport.h" 2
# 46 "../py/mpconfig.h" 2
# 552 "../py/mpconfig.h"

# 552 "../py/mpconfig.h"
typedef double mp_float_t;
# 28 "<stdin>" 2





QCFG(BYTES_IN_LEN, (1))
QCFG(BYTES_IN_HASH, (2))

Q()
Q(*)
Q(_)
Q(/)
Q(%#o)
Q(%#x)
Q({:#b})
Q(\n)
Q(maximum recursion depth exceeded)
Q(<module>)
Q(<lambda>)
Q(<listcomp>)
Q(<dictcomp>)
Q(<setcomp>)
Q(<genexpr>)
Q(<string>)
Q(<stdin>)
Q(utf-8)


Q(__locals__)
Q(BufferError)
Q(FileExistsError)
Q(FileNotFoundError)
Q(FloatingPointError)
Q(UnboundLocalError)
# 87 "<stdin>"
Q(AF_INET)

Q(AF_INET6)

Q(AF_UNIX)

Q(ARRAY)

Q(ArithmeticError)

Q(ArithmeticError)

Q(AssertionError)

Q(AssertionError)

Q(AssertionError)

Q(AttributeError)

Q(AttributeError)

Q(B115200)

Q(B57600)

Q(B9600)

Q(BFINT16)

Q(BFINT32)

Q(BFINT8)

Q(BFUINT16)

Q(BFUINT32)

Q(BFUINT8)

Q(BF_LEN)

Q(BF_POS)

Q(BIG_ENDIAN)

Q(BaseException)

Q(BaseException)

Q(BytesIO)

Q(BytesIO)

Q(DEBUG)

Q(DESC)

Q(DecompIO)

Q(DecompIO)

Q(EACCES)

Q(EACCES)

Q(EADDRINUSE)

Q(EADDRINUSE)

Q(EAGAIN)

Q(EAGAIN)

Q(EALREADY)

Q(EALREADY)

Q(EBADF)

Q(EBADF)

Q(ECONNABORTED)

Q(ECONNABORTED)

Q(ECONNREFUSED)

Q(ECONNREFUSED)

Q(ECONNRESET)

Q(ECONNRESET)

Q(EEXIST)

Q(EEXIST)

Q(EHOSTUNREACH)

Q(EHOSTUNREACH)

Q(EINPROGRESS)

Q(EINPROGRESS)

Q(EINVAL)

Q(EINVAL)

Q(EIO)

Q(EIO)

Q(EISDIR)

Q(EISDIR)

Q(ENOBUFS)

Q(ENOBUFS)

Q(ENODEV)

Q(ENODEV)

Q(ENOENT)

Q(ENOENT)

Q(ENOMEM)

Q(ENOMEM)

Q(ENOTCONN)

Q(ENOTCONN)

Q(EOFError)

Q(EOFError)

Q(EOPNOTSUPP)

Q(EOPNOTSUPP)

Q(EPERM)

Q(EPERM)

Q(ETIMEDOUT)

Q(ETIMEDOUT)

Q(Ellipsis)

Q(Ellipsis)

Q(Exception)

Q(Exception)

Q(FLOAT32)

Q(FLOAT64)

Q(FileIO)

Q(FileIO)

Q(GeneratorExit)

Q(GeneratorExit)

Q(INCL)

Q(INT16)

Q(INT32)

Q(INT64)

Q(INT8)

Q(ImportError)

Q(ImportError)

Q(IndentationError)

Q(IndentationError)

Q(IndexError)

Q(IndexError)

Q(KeyError)

Q(KeyError)

Q(KeyboardInterrupt)

Q(KeyboardInterrupt)

Q(LITTLE_ENDIAN)

Q(LockType)

Q(LookupError)

Q(LookupError)

Q(MSG_DONTROUTE)

Q(MSG_DONTWAIT)

Q(MemoryError)

Q(MemoryError)

Q(NATIVE)

Q(NameError)

Q(NameError)

Q(NoneType)

Q(NotImplemented)

Q(NotImplemented)

Q(NotImplementedError)

Q(NotImplementedError)

Q(OSError)

Q(OSError)

Q(OrderedDict)

Q(OrderedDict)

Q(OverflowError)

Q(OverflowError)

Q(POLLERR)

Q(POLLHUP)

Q(POLLIN)

Q(POLLOUT)

Q(PTR)

Q(PinBase)

Q(PinBase)

Q(RuntimeError)

Q(RuntimeError)

Q(SOCK_DGRAM)

Q(SOCK_RAW)

Q(SOCK_STREAM)

Q(SOL_SOCKET)

Q(SO_BROADCAST)

Q(SO_ERROR)

Q(SO_KEEPALIVE)

Q(SO_LINGER)

Q(SO_REUSEADDR)

Q(Signal)

Q(Signal)

Q(StopAsyncIteration)

Q(StopAsyncIteration)

Q(StopAsyncIteration)

Q(StopIteration)

Q(StopIteration)

Q(StringIO)

Q(StringIO)

Q(SyntaxError)

Q(SyntaxError)

Q(SystemExit)

Q(SystemExit)

Q(TCSANOW)

Q(TextIOWrapper)

Q(TextIOWrapper)

Q(TypeError)

Q(TypeError)

Q(UINT16)

Q(UINT32)

Q(UINT64)

Q(UINT8)

Q(UnicodeError)

Q(UnicodeError)

Q(VOID)

Q(ValueError)

Q(ValueError)

Q(ZeroDivisionError)

Q(ZeroDivisionError)

Q(_)

Q(__add__)

Q(__aenter__)

Q(__aenter__)

Q(__aexit__)

Q(__aiter__)

Q(__anext__)

Q(__bool__)

Q(__build_class__)

Q(__build_class__)

Q(__call__)

Q(__class__)

Q(__class__)

Q(__class__)

Q(__class__)

Q(__class__)

Q(__class__)

Q(__class__)

Q(__contains__)

Q(__contains__)

Q(__del__)

Q(__delete__)

Q(__delitem__)

Q(__delitem__)

Q(__dict__)

Q(__enter__)

Q(__enter__)

Q(__enter__)

Q(__enter__)

Q(__eq__)

Q(__eq__)

Q(__exit__)

Q(__exit__)

Q(__exit__)

Q(__exit__)

Q(__file__)

Q(__file__)

Q(__file__)

Q(__floordiv__)

Q(__ge__)

Q(__get__)

Q(__getattr__)

Q(__getattr__)

Q(__getitem__)

Q(__getitem__)

Q(__getitem__)

Q(__getitem__)

Q(__gt__)

Q(__hash__)

Q(__iadd__)

Q(__import__)

Q(__init__)

Q(__init__)

Q(__init__)

Q(__init__)

Q(__invert__)

Q(__isub__)

Q(__iter__)

Q(__le__)

Q(__len__)

Q(__lt__)

Q(__main__)

Q(__main__)

Q(__main__)

Q(__main__)

Q(__main__)

Q(__main__)

Q(__main__)

Q(__module__)

Q(__mul__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__name__)

Q(__neg__)

Q(__new__)

Q(__new__)

Q(__new__)

Q(__next__)

Q(__next__)

Q(__next__)

Q(__next__)

Q(__path__)

Q(__path__)

Q(__path__)

Q(__path__)

Q(__pos__)

Q(__qualname__)

Q(__repl_print__)

Q(__repl_print__)

Q(__repr__)

Q(__repr__)

Q(__reversed__)

Q(__set__)

Q(__setitem__)

Q(__setitem__)

Q(__str__)

Q(__sub__)

Q(__traceback__)

Q(__truediv__)

Q(_brace_open__colon__hash_b_brace_close_)

Q(_lt_dictcomp_gt_)

Q(_lt_genexpr_gt_)

Q(_lt_lambda_gt_)

Q(_lt_listcomp_gt_)

Q(_lt_module_gt_)

Q(_lt_setcomp_gt_)

Q(_lt_stdin_gt_)

Q(_lt_stdin_gt_)

Q(_lt_stdin_gt_)

Q(_lt_string_gt_)

Q(_percent__hash_o)

Q(_percent__hash_x)

Q(_star_)

Q(_star_)

Q(_thread)

Q(_thread)

Q(a2b_base64)

Q(abs)

Q(accept)

Q(acos)

Q(acosh)

Q(acquire)

Q(add)

Q(addr)

Q(addressof)

Q(all)

Q(allocate_lock)

Q(any)

Q(append)

Q(append)

Q(args)

Q(argv)

Q(array)

Q(array)

Q(array)

Q(array)

Q(as_bytearray)

Q(asin)

Q(asinh)

Q(atan)

Q(atan2)

Q(atanh)

Q(b2a_base64)

Q(big)

Q(bin)

Q(bind)

Q(bool)

Q(bool)

Q(bound_method)

Q(btree)

Q(btree)

Q(btree)

Q(buffering)

Q(builtins)

Q(builtins)

Q(bytearray)

Q(bytearray)

Q(bytearray_at)

Q(bytecode)

Q(byteorder)

Q(bytes)

Q(bytes)

Q(bytes)

Q(bytes_at)

Q(cachesize)

Q(calcsize)

Q(callable)

Q(callback)

Q(ceil)

Q(center)

Q(center)

Q(chr)

Q(classmethod)

Q(classmethod)

Q(clear)

Q(clear)

Q(clear)

Q(clock)

Q(close)

Q(close)

Q(close)

Q(close)

Q(close)

Q(close)

Q(close)

Q(close)

Q(close)

Q(close)

Q(closure)

Q(closure)

Q(cmath)

Q(cmath)

Q(code)

Q(collect)

Q(compile)

Q(compile)

Q(complex)

Q(complex)

Q(connect)

Q(const)

Q(const)

Q(copy)

Q(copy)

Q(copy)

Q(copysign)

Q(cos)

Q(cos)

Q(cosh)

Q(count)

Q(count)

Q(count)

Q(count)

Q(crc32)

Q(decode)

Q(decompress)

Q(default)

Q(degrees)

Q(delattr)

Q(deleter)

Q(dict)

Q(dict)

Q(dict_view)

Q(difference)

Q(difference_update)

Q(digest)

Q(digest)

Q(dir)

Q(disable)

Q(discard)

Q(divmod)

Q(doc)

Q(dumps)

Q(e)

Q(e)

Q(enable)

Q(encode)

Q(encoding)

Q(end)

Q(endswith)

Q(endswith)

Q(enumerate)

Q(enumerate)

Q(erf)

Q(erfc)

Q(errno)

Q(errno)

Q(errorcode)

Q(eval)

Q(eval)

Q(exc_info)

Q(exec)

Q(exec)

Q(exit)

Q(exit)

Q(exp)

Q(exp)

Q(expm1)

Q(extend)

Q(extend)

Q(fabs)

Q(ffi)

Q(ffi)

Q(fficallback)

Q(ffifunc)

Q(ffimod)

Q(ffivar)

Q(file)

Q(file)

Q(fileno)

Q(fileno)

Q(filter)

Q(filter)

Q(find)

Q(find)

Q(flags)

Q(float)

Q(float)

Q(floor)

Q(flush)

Q(flush)

Q(flush)

Q(fmod)

Q(format)

Q(format)

Q(frexp)

Q(from_bytes)

Q(fromkeys)

Q(frozenset)

Q(frozenset)

Q(func)

Q(func)

Q(function)

Q(function)

Q(function)

Q(function)

Q(function)

Q(function)

Q(function)

Q(function)

Q(function)

Q(gamma)

Q(gc)

Q(gc)

Q(generator)

Q(generator)

Q(generator)

Q(get)

Q(get)

Q(get)

Q(get_ident)

Q(getaddrinfo)

Q(getattr)

Q(getenv)

Q(getrandbits)

Q(getter)

Q(getvalue)

Q(globals)

Q(group)

Q(hasattr)

Q(hash)

Q(heap_lock)

Q(heap_unlock)

Q(heapify)

Q(heappop)

Q(heappush)

Q(hex)

Q(hexlify)

Q(id)

Q(ilistdir)

Q(imag)

Q(implementation)

Q(index)

Q(index)

Q(index)

Q(index)

Q(inet_ntop)

Q(inet_pton)

Q(input)

Q(insert)

Q(int)

Q(int)

Q(intersection)

Q(intersection_update)

Q(invert)

Q(ioctl)

Q(ipoll)

Q(isalpha)

Q(isalpha)

Q(isdigit)

Q(isdigit)

Q(isdisjoint)

Q(isenabled)

Q(isfinite)

Q(isinf)

Q(isinstance)

Q(islower)

Q(islower)

Q(isnan)

Q(isspace)

Q(isspace)

Q(issubclass)

Q(issubset)

Q(issuperset)

Q(isupper)

Q(isupper)

Q(items)

Q(items)

Q(iter)

Q(iterable)

Q(iterator)

Q(iterator)

Q(iterator)

Q(iterator)

Q(iterator)

Q(join)

Q(join)

Q(kbd_intr)

Q(keepends)

Q(key)

Q(key)

Q(keys)

Q(keys)

Q(keys)

Q(ldexp)

Q(len)

Q(lgamma)

Q(list)

Q(list)

Q(listen)

Q(little)

Q(little)

Q(little)

Q(load)

Q(loads)

Q(locals)

Q(localtime)

Q(lock)

Q(locked)

Q(log)

Q(log)

Q(log10)

Q(log10)

Q(log2)

Q(lower)

Q(lower)

Q(lstrip)

Q(lstrip)

Q(makefile)

Q(map)

Q(map)

Q(match)

Q(match)

Q(match)

Q(math)

Q(math)

Q(max)

Q(maximum_space_recursion_space_depth_space_exceeded)

Q(maxsize)

Q(mem)

Q(mem16)

Q(mem32)

Q(mem8)

Q(mem_alloc)

Q(mem_current)

Q(mem_free)

Q(mem_info)

Q(mem_peak)

Q(mem_total)

Q(memoryview)

Q(memoryview)

Q(micropython)

Q(micropython)

Q(micropython)

Q(micropython)

Q(min)

Q(minkeypage)

Q(mkdir)

Q(mode)

Q(modf)

Q(modify)

Q(module)

Q(modules)

Q(name)

Q(namedtuple)

Q(next)

Q(object)

Q(object)

Q(oct)

Q(off)

Q(on)

Q(open)

Q(open)

Q(open)

Q(open)

Q(opt_level)

Q(ord)

Q(pack)

Q(pack_into)

Q(pagesize)

Q(partition)

Q(partition)

Q(path)

Q(peektime)

Q(phase)

Q(pi)

Q(pi)

Q(platform)

Q(polar)

Q(poll)

Q(poll)

Q(poll)

Q(pop)

Q(pop)

Q(pop)

Q(pop)

Q(popitem)

Q(pow)

Q(pow)

Q(print)

Q(print_exception)

Q(property)

Q(property)

Q(push)

Q(put)

Q(qstr_info)

Q(r)

Q(radians)

Q(range)

Q(range)

Q(range)

Q(read)

Q(read)

Q(read)

Q(read)

Q(read)

Q(read)

Q(readinto)

Q(readinto)

Q(readinto)

Q(readinto)

Q(readinto)

Q(readinto)

Q(readline)

Q(readline)

Q(readline)

Q(readline)

Q(readline)

Q(readline)

Q(readlines)

Q(real)

Q(rect)

Q(recv)

Q(recvfrom)

Q(register)

Q(release)

Q(remove)

Q(remove)

Q(replace)

Q(replace)

Q(repr)

Q(resource_stream)

Q(reverse)

Q(reverse)

Q(reversed)

Q(reversed)

Q(rfind)

Q(rfind)

Q(rindex)

Q(rindex)

Q(round)

Q(rpartition)

Q(rpartition)

Q(rsplit)

Q(rsplit)

Q(rstrip)

Q(rstrip)

Q(search)

Q(search)

Q(seed)

Q(seek)

Q(seek)

Q(send)

Q(send)

Q(send)

Q(sendto)

Q(sep)

Q(seq)

Q(server_hostname)

Q(server_side)

Q(set)

Q(set)

Q(set)

Q(setattr)

Q(setblocking)

Q(setblocking)

Q(setblocking)

Q(setdefault)

Q(setraw)

Q(setsockopt)

Q(setter)

Q(sha1)

Q(sha1)

Q(sha256)

Q(sha256)

Q(sin)

Q(sin)

Q(single)

Q(sinh)

Q(sizeof)

Q(sleep)

Q(sleep_ms)

Q(sleep_us)

Q(slice)

Q(slice)

Q(sockaddr)

Q(socket)

Q(socket)

Q(sort)

Q(sorted)

Q(split)

Q(split)

Q(split)

Q(splitlines)

Q(splitlines)

Q(sqrt)

Q(sqrt)

Q(stack_size)

Q(stack_use)

Q(start)

Q(start)

Q(start)

Q(start_new_thread)

Q(startswith)

Q(startswith)

Q(stat)

Q(staticmethod)

Q(staticmethod)

Q(statvfs)

Q(stderr)

Q(stdin)

Q(stdout)

Q(step)

Q(step)

Q(stop)

Q(stop)

Q(str)

Q(str)

Q(str)

Q(str)

Q(strip)

Q(strip)

Q(struct)

Q(struct)

Q(sum)

Q(super)

Q(super)

Q(super)

Q(symmetric_difference)

Q(symmetric_difference_update)

Q(sys)

Q(sys)

Q(system)

Q(tan)

Q(tanh)

Q(tcgetattr)

Q(tcsetattr)

Q(tell)

Q(termios)

Q(termios)

Q(threshold)

Q(throw)

Q(throw)

Q(ticks_add)

Q(ticks_cpu)

Q(ticks_diff)

Q(ticks_ms)

Q(ticks_us)

Q(time)

Q(time_pulse_us)

Q(to_bytes)

Q(trunc)

Q(tuple)

Q(tuple)

Q(tuple)

Q(type)

Q(type)

Q(ubinascii)

Q(ubinascii)

Q(ucollections)

Q(ucollections)

Q(uctypes)

Q(uctypes)

Q(uctypes)

Q(uerrno)

Q(uerrno)

Q(uhashlib)

Q(uhashlib)

Q(uheapq)

Q(uheapq)

Q(uio)

Q(uio)

Q(ujson)

Q(ujson)

Q(umachine)

Q(umachine)

Q(unhexlify)

Q(union)

Q(unlink)

Q(unpack)

Q(unpack_from)

Q(unregister)

Q(uos)

Q(uos)

Q(update)

Q(update)

Q(update)

Q(update)

Q(upper)

Q(upper)

Q(urandom)

Q(urandom)

Q(ure)

Q(ure)

Q(ure)

Q(uselect)

Q(uselect)

Q(usocket)

Q(usocket)

Q(ussl)

Q(ussl)

Q(ussl)

Q(ustruct)

Q(ustruct)

Q(utf_hyphen_8)

Q(utf_hyphen_8)

Q(utime)

Q(utime)

Q(utimeq)

Q(utimeq)

Q(utimeq)

Q(utimeq)

Q(uzlib)

Q(uzlib)

Q(value)

Q(value)

Q(value)

Q(value)

Q(values)

Q(values)

Q(var)

Q(version)

Q(version)

Q(version_info)

Q(websocket)

Q(websocket)

Q(websocket)

Q(websocket)

Q(wrap_socket)

Q(write)

Q(write)

Q(write)

Q(write)

Q(write)

Q(zip)

Q(zip)
